Subject: [spring] A question about draft-ietf-rtgwg-segment-routing-ti-lfa-07

From: Alexander Vainshtein <[email-masked]>
Date: Tue, 29 Jun 2021 11:03:13 +0000

Hi all,
I have a couple of questions regarding the information in Section 9 of draft-ietf-rtgwg-segment-routing-ti-lfa-07<https://datatracker.ietf.org/doc/html/draft-ietf-rtgwg-segment-routing-ti-lfa-07#section-9>.
This section (called "Measurements on real networks") describes protection coverage levels achieved in several networks by using repair lists with 0, 1, 2 and 3 SIDs in the repair path.

Q1: Can you please confirm that the repair paths with 0, 1, 2 and 3 SIDs mentioned in Section 9 computed using the methods described in Section 4.1, 4.2, 4.3 and 4.4 respectively of the draft? The draft does not say that explicitly, but neither is any other computation method mentioned in the draft.

Q2: Assuming the positive answer to Q1 above, can you please clarify which "tradeoff between scaling and accuracy of the optimization" mentioned in Section 4.5 of the draft has been selected? Specifically, whether Q-space used for computation of repair paths with 1, 2 and 3 SIDs has been computed per affected destination, per failed link (as suggested in RFC 7490) or in some other way?

>From my POV, without clear answers to Q1 and Q2 above it is quite difficult to interpret the data in Section 9. E.g., if the excellent coverage in Tables 2A/2B and 3A/3B has been achieved using per-destination computation of Q-space, the practical value of these results is. IMHO and FWIW, somewhat problematic, especially for such networks as T1 and T2.; if these results have been achieved using per link computation of Q-space, the practical value of these results is very high.

Your timely feedback will be highly appreciated.

Regards, and lots of thanks in advance,
Sasha

Office: +972-39266302
Cell:      +972-549266302
Email:   [email-masked]

Notice: This e-mail together with any attachments may contain information of Ribbon Communications Inc. and its Affiliates that is confidential and/or proprietary for the sole use of the intended recipient. Any review, disclosure, reliance or distribution by others or forwarding without express permission is strictly prohibited. If you are not the intended recipient, please notify the sender immediately and then delete all copies, including any attachments.